package cn.com.qmth.export;

import java.util.Date;
import java.util.concurrent.atomic.AtomicInteger;

import org.apache.log4j.LogManager;
import org.apache.log4j.Logger;

public class ExportPaperByCourseCode {
	private static Logger logger = LogManager.getLogger(ExportPaperByCourseCode.class);
	private static AtomicInteger count=new AtomicInteger(0);
	
	public static void main(String[] args) {
		logger.debug("导出开始");
		Date start=new Date();
		try {
			MyProducer pro=new MyProducer();
			pro.startDispose(MyConsumer.class, 8, null);
		} catch (Exception e) {
			logger.error(e.getCause(), e);
		}
		Date end=new Date();
		logger.debug("导出结束，耗时："+((end.getTime()-start.getTime())/1000));
	}


	public static void  addDisposeCount() {
		count.addAndGet(1);
		logger.debug("处理了"+count);
	}
}
